Subject: Re: git interpret-trailers with multiple keys

From: "Michael S. Tsirkin" <[email-masked]>
Date: Wed, 6 Apr 2016 20:16:20 +0300

On Wed, Apr 06, 2016 at 06:58:30PM +0200, Matthieu Moy wrote:
> "Michael S. Tsirkin" <[email-masked]> writes:
> 
> > I have this in .git/config
> >
> > [trailer "r"]
> >         key = Reviewed-by
> >         command = "echo \"Michael S. Tsirkin <[email-masked]\""
> > [trailer "s"]
> >         key = Signed-off-by
> >         command = "echo \"Michael S. Tsirkin <[email-masked]\""
> >
> > whenever I run git interpret-trailers -t r I see these lines added:
> >
> > Reviewed-by: Michael S. Tsirkin <[email-masked]
> > Signed-off-by: Michael S. Tsirkin <[email-masked]
> > Reviewed-by: Michael S. Tsirkin <[email-masked]
> >
> > Why is Reviewed-by repeated?  Bug or feature?
> 
> The first two lines are added unconditionally:
> 
> $ echo | git interpret-trailers 
> 
> Reviewed-by: Michael S. Tsirkin <[email-masked]
> Signed-off-by: Michael S. Tsirkin <[email-masked]
> 
> The last line is added because you've asked for it with --trailer r.
> 
> I don't think it's currently possible to get the behavior you seem to
> expect, ie. to define trailer tokens fully (key and value) in your
> config file but use them only on request.
> 
> (BTW, I think you wanted a closing > at the end)

Is this worth fixing? It doesn't look like a behaviour anyone
would want...

> -- 
> Matthieu Moy
> http://www-verimag.imag.fr/~moy/